<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use Illuminate\Support\Facades\DB;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        DB::table('categories')->insert([
            [
                'c_code' => 'LEAVE_WITHOUT_PAY',
                'c_name' => 'Nghỉ không hưởng lương',
                'c_type' => 'REASON',
                'c_value' => "",
                'c_active' => 1,
                'created_at' => now(),
                'updated_at' => now(),
            ],
        ]);

        DB::table('categories')
            ->where('c_name', 'Nghỉ phép')
            ->update(['c_name' => 'Nghỉ phép năm']);
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        DB::table('categories')
            ->where('c_name', 'Nghỉ phép năm')
            ->update(['c_name' => 'Nghỉ phép']);
    }
};
